| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ObjectPathList Struct Reference
List types

`#include <TelepathyQt/Types>`

Inherits QList< QDBusObjectPath >.

List of all members.

## Public Member Functions

- ObjectPathList ()
- ObjectPathList (const QList< QDBusObjectPath > &a)
- ObjectPathList & operator= (const QList< QDBusObjectPath > &a)

## Detailed Description

Generic list type with QDBusObjectPath elements. Convertible with QList<QDBusObjectPath>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::ObjectPathList::ObjectPathList | ( |  | ) | `[inline]`

Tp::ObjectPathList::ObjectPathList | ( | const QList< QDBusObjectPath > & | a | ) | `[inline]`

## Member Function Documentation

ObjectPathList& Tp::ObjectPathList::operator= | ( | const QList< QDBusObjectPath > & | a | ) | `[inline]`